from datetime import datetime
from pathlib import Path
import asyncio
import logging
import sys

from arcology.builder import DatabaseBuilder
from arcology.config import get_settings

logging.basicConfig(level=logging.DEBUG)
logging.getLogger('transitions').setLevel(logging.INFO)
logging.getLogger('arcology-arroyo').setLevel(logging.INFO)

db = DatabaseBuilder()

def start():
    print(sys.argv)
    if "--once" in sys.argv:
        asyncio.run(db.do_run())
    else:
        asyncio.run(db.loop())

if __name__ == "__main__":
    start()
