# [[file:arcology-poetry.org::*=poetry2nix= composes with =nix-shell= to get a development environment in =shell.nix=][=poetry2nix= composes with =nix-shell= to get a development environment in =shell.nix=:1]]
{ pkgs ? import <nixpkgs> {} }:

let
  myApp = import ./default.nix { inherit pkgs; };
  myAppEnv = myApp.editableEnv;
in pkgs.mkShell {
  packages = [
    myAppEnv
    pkgs.pandoc
    pkgs.poetry
    # inotify-tools
  ];
}
# =poetry2nix= composes with =nix-shell= to get a development environment in =shell.nix=:1 ends here
